PESIGCHECK(1)

NAME
pesigcheck - tool for verifying UEFI applications

SYNOPSIS
pesigcheck -i file [-n] [-D file] [-X file] [-c file] [-q] [-v]

DESCRIPTION
pesigcheck is a command line tool for verifying the signature of UEFI applications.

OPTIONS

-i file | - -in file
    PE binary file to be checked

-n | - -no-system-db
    inhibit the use of DB and DBX from the running system

-D file | - -dbfile file
    EFI Signature List or EFI variable file to be used as the allowed security database

    may be used more than once

-X file | - -dbxfile file
    EFI Signature List or EFI variable file to be used as the blacklisted security database

    may be used more than once

-c file | - -certfile file
    DER-encoded certificate Ar file to be added to the allowed security database

    may be used more than once

-q | - -quiet
    be quieter

-v | - -verbose
    be more verbose

STANDARDS
UEFI Specification Working Group, Unified Extensible Firmware Interface (UEFI) Specification Version 2.8, Unified Extensible Firmware Interface Forum, March 2019, https://uefi.org/specifications .

SEE ALSO
authvar(1), pesign(1), efisigdb(1)

AUTHORS
Peter Jones